Modul 5 · 5.2
Eksport af kalender og kontakter fra Google og Microsoft
Modul 5: Kalender og kontakter · Læsetid: 12 minutter
Læringsmål: Efter denne lektion kan du lave en komplet og brugbar eksport af kalendere og kontakter fra Google og Microsoft, læse en ICS- og vCard-fil, og du ved, hvad der ikke følger med ved eksport, eller hvad der bliver anderledes.
Nøglebegreber: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE og TZID, ORGANIZER og ATTENDEE, VALARM, vCard (VCF) 3.0 og 4.0, csv, Google Takeout, migreringsværktøj
To filformater, som næsten alle kender
Kalendere og kontakter flytter du med to åbne formater:
- iCalendar, filer med endelsen
.ics(RFC 5545), til kalendere og opgaver. - vCard, filer med endelsen
.vcf, til kontaktpersoner. Der findes to versioner, som du kan støde på: 3.0 (RFC 2426) og 4.0 (RFC 6350).
Det er almindelige tekstfiler. Du kan åbne dem i en teksteditor, og det er præcis, hvad du skal gøre i denne lektion. Den, der ved, hvad der står i filen, kan også se, hvad der mangler.
Der er ofte en nemmere vej end eksport: mange nye tjenester har et migreringsværktøj, der med din tilladelse henter dine kalendere og kontakter direkte hos Google eller Microsoft. Det går hurtigere og med færre fejl. Alligevel er det en god idé at lave din egen eksport: som kontrol (hvor mange aftaler og kontakter havde jeg?), som backup før du opsiger den gamle tjeneste, og som nødløsning hvis din administrator ikke tillader migreringsværktøjet.
Sådan ser en kalenderfil ud
En eksport af kalenderen for Bakkerij De Korrel begynder sådan her:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARHvad du ser:
| Linje | Betydning | Hvor det kan gå galt |
|---|---|---|
BEGIN:VCALENDAR og VERSION:2.0 | dette er en iCalendar-fil | mangler det, nægter importen |
BEGIN:VEVENT ... END:VEVENT | én aftale | et manglende END gør resten ulæselig |
UID | aftalens faste kendetegn | uden UID kan serveren ikke genkende dubletter |
DTSTART;TZID=... | starttidspunkt i en tidszone | se tidszoner herunder |
RRULE | gentagelsesregel: hver tirsdag | en ugyldig regel giver én aftale i stedet for en serie |
EXDATE | undtagelse: ikke denne tirsdag | |
ORGANIZER, ATTENDEE | hvem inviterede, og hvem er inviteret | se invitationer herunder |
VALARM | påmindelse, 30 minutter før | ikke alle tjenester overtager påmindelser |
Tidszoner
Et tidspunkt med TZID=Europe/Amsterdam betyder: kl. 6 om morgenen i Amsterdam, også efter overgangen til sommertid. Filen bør derfor indeholde en blok VTIMEZONE, der beskriver den tidszone. Eksporter fra Outlook bruger ofte Windows-navne som W. Europe Standard Time. Det går fint, så længe VTIMEZONE-blokken er med. Mangler den, gætter den nye tjeneste, og du ser aftaler forskudt en time. Et tidspunkt, der slutter på Z (20261110T050000Z), er i UTC og altid entydigt. Et tidspunkt uden tidszone og uden Z kaldes et "flydende" tidspunkt: det gælder i tidszonen for den, der ser på det.
Heldagsaftaler står som en dato uden tidspunkt: DTSTART;VALUE=DATE:20261224.
Invitationer
En aftale, som du har arrangeret, står med dig som ORGANIZER i filen. Efter importen står den i din nye kalender, men deltagerne har den stadig i deres egen kalender som en invitation fra din gamle adresse, med en UID fra den gamle tjeneste. Ændrer du aftalen senere, får de en ny invitation. Ved tilbagevendende møder med eksterne kan det være pænere at invitere dem igen efter skiftet. Aftaler, du er inviteret til, kommer med som en almindelig aftale; svar til arrangøren går via mail.
Eksport fra Google
- Kalender: i Google Kalender, under Indstillinger, afsnittet Import og eksport, knappen Eksportér. Du får en zip-fil med en ics-fil for hver kalender, du selv ejer. Kalendere, som andre deler med dig, er ikke med; dem eksporterer ejeren, eller du eksporterer dem enkeltvis fra den pågældende kalenders indstillinger, hvis det er tilladt.
- Kontakter: i Google Kontakter vælger du kontakterne (eller alle), vælger Eksportér og derefter vCard-formatet. Google tilbyder også "Google CSV" og "Outlook CSV"; vælg vCard, det bevarer strukturen (flere telefonnumre, adresser, foto).
- Alt på én gang: Google Takeout (takeout.google.com) leverer kalenderen som ics, kontakter som vcf (eller csv) og Gmail som mbox, i zip-filer. Praktisk som backup af hele kontoen.
Menunavnene ændrer sig af og til; søg i tvivlstilfælde i Googles hjælp efter "eksportér kalender".
Eksport fra Microsoft
- Kalender: i det klassiske Outlook til Windows kan du gemme en kalender som en iCalendar-fil (Gem som, med valg af periode og "fulde detaljer"). Vælg en periode, der går langt nok tilbage og frem, og vælg fulde detaljer, ellers eksporterer du kun ledig/optaget. I Outlook på nettet kan du offentliggøre en kalender som et ICS-link og downloade filen via det link; slå offentliggørelsen fra bagefter.
- Kontakter: Outlook på nettet eksporterer kontakter som csv, ikke som vCard. Klassisk Outlook eksporterer også i bulk til csv; vCard kan der kun laves pr. kontakt. Mange CardDAV-tjenester kan ikke importere en csv-fil direkte. To løsninger: brug det nye tjenestes migreringsværktøj (der henter kontakterne direkte), eller importér csv-filen i en adressebog i Thunderbird og eksportér den derfra som vCard.
- Delte kalendere og ressourcekalendere er organisationens kalendere. Dem eksporterer administratoren, eller du opretter dem på ny i den nye tjeneste.
Hvad der ikke følger med ved eksport, eller bliver anderledes
| Element | Hvad der sker |
|---|---|
| Vedhæftninger til aftaler | følger som regel ikke med; kun et link, eller intet |
| Farver og kategorier | nogle gange som CATEGORIES, ofte ikke |
| Påmindelser | nogle gange, afhængigt af tjenesten |
| Videomøde-links (Teams, Meet) | bliver stående som tekst i aftalen, men virker ikke længere efter opsigelsen |
| Kontaktgrupper eller labels | ikke altid; kontrollér efter importen |
| Kontaktfotos | følger med i vCard, men gør filen stor |
Tæl, før du går videre
Skriv før eksporten op, hvor mange kontakter du har, og for et par kalendere, hvor mange aftaler der er i en fast periode (for eksempel november). Efter importen tæller du igen. Det er den hurtigste måde at se, at der mangler noget. I opgaven til denne lektion lader du programmet tælle og kontrollere dine filer.
I praksis: sådan ser det ud hos en udbyder
I en WebOké Nextcloud findes der to migreringsværktøjer, der henter direkte: WebOké Import Tool til Google (Drive, Fotos, Kalender og Kontakter) og Datamigrering til OneDrive og Microsoft 365, hvormed du også importerer kontakter og kalendere fra din Microsoft-konto. Kommer din kalender fra et andet sted, importerer du selv ics- og vCard-filer (lektion 5.3). Nextcloud læser vCard 3.0 og 4.0. Hos andre europæiske tjenester findes der tilsvarende importværktøjer eller en importknap i kalenderen og adressebogen; filformaterne er de samme overalt.
Sammenfatning
- Kalendere flytter du som ics (iCalendar), kontakter som vcf (vCard 3.0 eller 4.0); det er læsbare tekstfiler.
- Et migreringsværktøj, der henter direkte, er ofte nemmere, men lav alligevel din egen eksport som kontrol og backup.
- Vær i en ics-fil opmærksom på UID, RRULE og tidszoner med en VTIMEZONE-blok; uden den forskydes aftaler.
- Outlook på nettet eksporterer kun kontakter som csv; brug et migreringsværktøj, eller omdan csv'en til vCard.
- Tæl kontakter og aftaler på forhånd, så du efter importen kan se, om der mangler noget.
Quiz
Opgave
Opgave A5.2: Kontroller din testeksport. Eksportér en kalender (ics) og dine kontakter (vcf). Udfyld først, hvor mange kontakter du har, og hvor mange aftaler du forventer. Upload derefter filerne. Programmet kontrollerer, om de er gyldige, tæller aftaler, gentagelser og kontakter, søger efter tidszoner uden beskrivelse og dobbelte kontakter, og sammenligner med dine tal. Filerne bliver kun læst og ikke gemt.
Opgave E5.2: Hvad kommer ikke med? Åbn din ics-fil i en teksteditor. Find en tilbagevendende aftale, en aftale med deltagere og en aftale med et videomøde-link. Notér for hver aftale, hvad du skal gøre efter skiftet.
Opgave E5.2: Hvad kommer ikke med?
Åbn din egen ics-fil i en teksteditor.
Dine afkrydsninger og noter forbliver kun i denne browser; vi sender dem ingen steder hen. Er du logget ind, gemmer vi kun i Mine kurser, at du har udført opgaven.
Læs mere
Trinene i disse artikler gælder for WebOkés tjenester; hos andre udbydere fungerer det på tilsvarende måde.
- Nextcloud-vejledning 13.5: Kalender og kontakter overføres fra Google, iCloud eller Outlook (ics og vCard)
- Nextcloud-vejledning 13.2: Overfør Google Drive, Fotos, Kalender og Kontakter med WebOké Import Tool
- Nextcloud-vejledning 13.4: OneDrive overføre med Datamigrering
- Nextcloud-vejledning 13.6: Fra Microsoft 365 til WebOké: filer, dokumenter, mail og kalender
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Googles hjælp til Kalender: Eksportér begivenheder; Googles hjælp til Kontakter: Eksportér kontakter; Microsoft support: Eksportér kontakter fra Outlook
